Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07927 Sound Major Always Apr 2, 2021, 11:05 Apr 5, 2021, 16:18
Tester Steve Coomber View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver jackal.cpp
Version 0.230 Fixed in Version 0.231 Build 64-bit
Fixed in Git Commit fdf4fd9 Github Pull Request #
Summary 07927: jackal and clones: Music stops playing in game
Description Music stops playing after you have started game and have control of vehicle. In game sounds still work however. I noticed that this issue has occurred before (refer to MT01693)
Steps To Reproduce 1. Launch Jackal (or clone)
2. Insert coin and start game
3. Music starts playing
4. Once in control of vehicle, music stops playing
Additional Information
Github Commit
Flags
Regression Version 0.230
Affected Sets / Systems jackal and clones
Attached Files
 
Relationships
duplicate of 01693Resolvednicolasa  jackal, jackalj, topgunbl, topgunr: After you get in the jeep the music stops. 
Notes
5
User avatar
No.18633
Tafoid
Administrator
Apr 2, 2021, 16:49
Confirmed happening on day of initial FM Core rewrite - February 27, 2021
https://github.com/mamedev/mame/commit/95869d57181d6b6d38ec9511374c2c3e1de9f6cf
User avatar
No.18634
Steve Coomber
Tester
Apr 2, 2021, 18:39
Over the last 2 days, I have checked over 100 games that are using the new Yamaha FM cores and I have only found 2 issues so that is excellent work indeed. Aaron is a wizard with these sound cores :-) I have just noticed that Aaron has added some more YM sound cores today. Outstanding work!
User avatar
No.18644
aaron
Developer
Apr 4, 2021, 23:09
So I looked a bit at this and it seems related to timing. The old 2151 did not simulate the busy flag, and so when the sound program set up the timers, they landed at a particular time that allowed the music to play. Now that the new device emulates the busy flag, one of the timers is delayed a bit, and that causes things to fail.

The sound program is super crappy, and takes NMIs in the middle of a polling loop without saving registers, so I'm not surprised that it is highly timing sensitive. There could be some sort of enable/disable that's missing, but I don't see it.
User avatar
No.18647
Osso
Developer
Apr 5, 2021, 06:31
There's a hack at machine reset time (line 357 of the driver) which tweaks the slave CPU clock to avoid problems with music. Maybe it can be updated to cope with the new 2151 core.
User avatar
No.18649
Osso
Developer
Apr 5, 2021, 08:25
Tweaking it from 1.2f to 1.4f makes the music work again, FWIW.